@import "mixins.scss";
@import "modal.scss";
@include font-face("Kanit-Regular", "Kanit-Regular", "serif");
@include font-face("Kanit-Light", "Kanit-Light", "serif");

html {
  font-size: 18px;
}
body {
  padding: 0;
  margin: 0;
  font-family: "Kanit-Light", Tahoma;
  background-color: #000;
}
* {
  //user-select: none;
  box-sizing: border-box;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
  max-height: 100%;
}
.landing {
  // position: relative;
  // display: block;
  // width: 100vw;
  // height: 100vh;
  // overflow: hidden;
  // &__pc {
  //     position: relative;
  //     display: block;
  //     width: 100%;
  //     height: 100%;
  //     // max-height: calc( 100vw / 1920 * 1080 );
  //     background: url("/static/images/landing/brood_chambar/background_pc.jpg") no-repeat top center;
  //     background-size: cover;
  // }
  // &__mb {
  //     position: relative;
  //     display: block;
  //     width: 100%;
  //     height: 100%;
  //     background: url("/static/images/landing/brood_chambar/background_mb.jpg") no-repeat top center;
  //     background-size: cover;
  //     &--title{
  //         position: absolute;
  //         bottom: 10%;
  //     }
  // }
  &__topmenu {
    z-index: 3000;
    position: absolute;
    top: 0px;
    left: 0px;
    display: flex !important;
    width: 100%;
    justify-content: space-between;
    align-items: top;
    // padding: 10px;
  }
  &__logo,
  &__buttons {
    margin: 20px;
  }

  &__home,
  &__pathnote {
    margin: 10px;
    background-color: #000000;
    color: #ffffff !important;
    font-size: 14px;
    font-weight: bold;
    border-radius: 7px;
    padding: 10px 20px;
    &:hover {
      background-color: #424242;
    }
  }
  @media screen and (max-width: 640px) {
    &__logo,
    &__buttons {
      margin: 10px;
    }

    &__logo {
      width: 30%;
      height: 100%;
      display: block;
    }

    &__home,
    &__pathnote {
      font-size: 12px;
      margin: 3px;
      padding: 7px 12px;
    }
  }
  &__set {
    position: relative;
    display: block;
    // width: 1920px;
    // height: 1080px`;
    // width: 100vw;
    // height: 100vh;
  }
  &__setcharacter {
    height: 600px;
  }
  &__effectsword {
    position: absolute;
    top: 16.9%;
    left: 35%;
    display: block;
    width: 9%;
    height: auto !important;
    animation: flicker 3s linear infinite;
  }
  &__inner {
    position: absolute;
    top: 0px;
    right: 0px;
    display: flex;
    width: 50vw;
    height: 100%;
    max-height: calc(100vw / 1920 * 1080);
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }
  &__mbinner {
    position: absolute;
    top: 0px;
    right: 0px;
    display: flex;
    width: 100vw;
    height: 100vh;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }
  &__layer {
    position: absolute;
    display: block;
    max-width: 100%;
    max-height: 100%;
    &--f5 {
      top: 13.5%;
      left: 4%;
      width: 53.85%;
    }
    &--f4 {
      top: 2%;
      left: 0%;
      width: 100%;
    }
    &--f3 {
      top: 6%;
      left: 0%;
      width: 95%;
    }
    &--f2 {
      top: 0%;
      left: 0%;
      width: 100%;
    }
    &--f1 {
      top: 0%;
      // left: 3%;
      left: 0;
      width: 100%;
    }
    &--f0 {
      top: -10%;
      left: 0%;
      width: 100%;
    }
  }
  &__l1 {
    position: absolute;
    top: 0px;
    left: 0px;
    // animation: fireup 3s 0s linear infinite;
  }
  &__l2 {
    position: absolute;
    top: 0px;
    left: 0px;
    // animation: fireup 3s 1.5s linear infinite;
  }
  &__l4 {
    position: absolute;
    top: 0px;
    left: 0px;
  }
  &__l5 {
    position: absolute;
    top: 0px;
    left: 0px;
    // animation: fireup 3s 0s linear infinite;
  }
  &__l6 {
    position: absolute;
    top: 0px;
    left: 0px;
    // animation: fireup 3s 1.5s linear infinite;
  }
  &--container {
    position: relative;
    // width: 1200px;
    width: 100%;
    margin: 0 auto;
    height: 100%;
    //height: 100vh;
    & > div,
    & > div > div {
      height: 100vh;
      height: 100%;
      width: 100%;
    }
  }
  &__title {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0%;
    z-index: 5;
    margin: 0 auto;
    width: 100%;
    @media only screen and (min-width: 1024px) and (max-width: 1366px) and (orientation: portrait) {
      width: 50%;
    }
    @media screen and (max-width: 992px) {
      width: 50%;
    }
  }
  &__charactor {
    position: absolute;
    right: 0;
    // top:5%;
    // top: 50%;
    // transform: translateY(-50%);
    // transform: translateY(-50%);
    // -webkit-transform: translateY(-50%);
    //add new
    left: 0;
    bottom: 0;
    & img {
      margin: 0 auto;
      display: block;
    }
  }
  &__layer--f0,
  &__layer--f1,
  &__layer--f2,
  &__layer--f3 {
    height: 100%;
  }
}

.bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-image: url(http://78media.tumblr.com/9951ca2e7e884a48ca5b5269f5514cd6/tumblr_nwjrkxWOcd1tslewgo1_500.gif);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: left bottom;
  filter: blur(2px);
}

$h1: rgba(45, 45, 45, 1);
$blue: #98b5cc;
$yellow: #ffcc00;
$outline: rgba(#fff, 0.4);
$shadow: rgba($yellow, 0.5);

@keyframes flicker {
  0%,
  19.999%,
  22%,
  62.999%,
  64%,
  64.999%,
  70%,
  100% {
    opacity: 0.99;
    text-shadow: -1px -1px 0 $outline, 1px -1px 0 $outline, -1px 1px 0 $outline,
      1px 1px 0 $outline, 0 -2px 8px, 0 0 2px, 0 0 5px #ff7e00, 0 0 15px #ff4444,
      0 0 2px #ff7e00, 0 2px 3px #000;
  }
  20%,
  21.999%,
  63%,
  63.999%,
  65%,
  69.999% {
    opacity: 0.4;
    text-shadow: none;
  }
}
@keyframes fireup {
  0% {
    opacity: 0;
    // transform: translate3d( -30px, 30px, 0 );
    transform: translate3d(0px, 30px, 0px);
  }
  75% {
    opacity: 1;
    // transform: translate3d( 0px, 0px, 0 );
    transform: translate3d(0px, 0px, 0px);
  }
  100% {
    opacity: 0;
    // transform: translate3d( 10px, -10px, 0 );
    transform: translate3d(0px, -10px, 0px);
  }
}

.video-wrapper {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 1;
  width: 100vw;
  height: 100vh;
  max-width: 100vw;
}
.parallax-wrapper {
  position: relative;
  z-index: 2000;
  height: 100vh;
  width: 100%;
  float: left;
}

//add new
.scrolldown {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 10%;
  z-index: 3000;
  text-align: center;
  & img {
    animation: mover 1s infinite alternate;
  }
}
@keyframes mover {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-5px);
  }
}

.btn {
  display: inline-block;
  padding: 3px 10px;
  font-size: 1rem;
  text-transform: uppercase;
  border-radius: 20px;
  margin: 5px;
  cursor: pointer;
  transition: all 0.5s ease;
}
.btn-white {
  background-color: #000;
  border: 1px solid #fff;
  color: #fff;
  &:hover {
    background-color: #fff;
    color: #000;
  }
}
.clear-padding {
  padding: 0 !important;
}
.pb-0 {
  padding-bottom: 0 !important;
}
.text-center {
  text-align: center;
}
@media (min-width: 767px) {
  .is-mobile {
    display: none;
  }
}
@media (max-width: 767px) {
  .is-desktop {
    display: none;
  }
}
.col-content {
  width: 40%;
  float: left;
  padding: 0 15px;
  padding-top: 7%;
}
.col-image {
  width: 60%;
  float: left;
  padding: 0 15px;
}
.col-parallex {
  position: relative;
  z-index: 2000;
  height: 100%;
  width: 60%;
  float: left;
}
.container {
  max-width: 1300px;
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}
.clearfix:after {
  content: "";
  display: table;
  clear: both;
}

section {
  padding: 80px 0;
  position: relative;
  width: 100%;
  text-align: center;
}
.section1 {
  background: url("./../static/images/section1_bg.jpg") no-repeat top center;
  background-size: cover;
  overflow: hidden;
  padding-top: 100px;
  & .col-content {
    padding-top: 0;
  }
}
.section2 {
  background: url("./../static/images/section2_bg.jpg") no-repeat top center;
  background-size: cover;
}
.section3 {
  background: url("./../static/images/section3_bg.jpg") no-repeat top center;
  background-size: cover;
  & .col-parallex {
    width: 35%;
  }
  & .col-content {
    width: 30%;
  }
}
.section4 {
  background: url("./../static/images/section4_bg.jpg") no-repeat top center;
  background-size: cover;
  & .col-image {
    float: right;
  }
  & .col-content {
    float: left;
  }
}
.section5 {
  background: url("./../static/images/section5_bg.jpg") no-repeat top center;
  background-size: cover;
}

//override slick slide
.slick-dots {
  bottom: 20px;
}
.slick-dots li button:before {
  color: #fff;
  font-size: 10px;
}
.slick-dots li.slick-active button:before {
  color: #fff;
}

@media (max-width: 980px) {
  .landing__setcharacter {
    height: 500px;
  }
}
@media (max-width: 767px) {
  .section1 {
    background: url("./../static/images/section1_bg_mb.png") no-repeat top
      center;
    background-size: cover;
  }
  .col-parallex {
    display: none;
  }
  .section1 .col-content,
  .section3 .col-content,
  .col-content {
    width: 100%;
    padding-top: 70%;
  }
  .col-image {
    width: 100%;
  }
  .section1 {
    height: 100%;
  }
  .scrolldown {
    bottom: 0;
  }
  .section3 {
    background: url("./../static/images/section3_bg_mb.jpg") no-repeat top
      center;
    background-size: cover;
  }
  .section4 {
    background: url("./../static/images/section4_bg_mb.jpg") no-repeat top
      center;
    background-size: cover;
    & .col-image,
    & .col-content {
      float: none;
    }
  }
  .section5 {
    background: url("./../static/images/section5_bg_mb.jpg") no-repeat top
      center;
    background-size: cover;
    & .logo_ais_mb {
      margin-top: -50px;
    }
  }
  .slick-slide img {
    max-width: 100%;
  }
  img {
    max-width: 80%;
  }
}
